
#include <CtrlLib/CtrlLib.h>

using namespace Upp;

class TransWithCtrlInTopWnd : public TopWindow {
public:
	MenuBar 		menu ;
	Button			bt ;
	bool			langIsChina ;

public :
	// menu handler
	void MainMenu(Bar &bar) 
	{
		bar.Add(t_("Try It"), THISBACK(SubMenu)) ;
	}
	
	void SubMenu (Bar &bar) {
		bar.Add(t_("Menu1"), THISBACK(BlankFun) ) ;
		bar.Add(t_("Menu2"), THISBACK(BlankFun) ) ;		
	}
	
	void BlankFun() {}
		
	// Button handler
	void ChangeLanguage()
	{ // When push button, change language between english and chinese.
		langIsChina = (!langIsChina) ;
	
		if (langIsChina)
			SetLanguage( LNGC_('Z','H','C','N', CHARSET_UTF8) ) ;		
		else
			SetLanguage(LNGC_('E','N','U','S', CHARSET_UTF8) ) ;
		
		menu.Set(THISBACK(MainMenu)) ; // Refresh menu
	}
			
public:
	typedef TransWithCtrlInTopWnd CLASSNAME;
	
	TransWithCtrlInTopWnd() {
		langIsChina = true ;
		
		AddFrame(menu) ;
		menu.Set(THISBACK(MainMenu)) ;
	
		(*this) <<  bt.LeftPos(5, 100).TopPos(20, 20) ;
		
		bt.SetLabel(t_("Push Me"))	;
		bt <<= THISBACK(ChangeLanguage) ; 
	}
};

GUI_APP_MAIN
{
	TransWithCtrlInTopWnd().Run();
}

